#
# applist.py
# version 1.2.1


import e32

if e32.s60_version_info>=(3,0):
    import imp
    _applist = imp.load_dynamic('_applist', 'kf_applist.pyd')
    
else:
    import _applist

del e32, imp

def applist():
    return _applist.applist()

def applaunch(AppUID):
    return _applist.applaunch(AppUID)

#Many thanks to SajiSoft for providing help with converting C++ icon to Python Icon :D
import graphics
def get_icon(AppUID,size=48):
    img_ptr= _applist.fetchicon(AppUID,size,1)
    return graphics.Image.from_cfbsbitmap(img_ptr)
    
def get_mask(AppUID,size=48):
    img_ptr= _applist.fetchicon(AppUID,size,2)
    return graphics.Image.from_cfbsbitmap(img_ptr)
  